Eclipse Platform Release 3.7

## org.eclipse.swt.custom
Interface LineBackgroundListener

All Superinterfaces:
  EventListener, org.eclipse.swt.internal.SWTEventListener

All Known Implementing Classes:
  CursorLinePainter, TextConsoleViewer

    public interface LineBackgroundListener

extends org.eclipse.swt.internal.SWTEventListener

Classes which implement this interface provide a method that can provide the background color for a line that is to be drawn.

See Also:
  `LineBackgroundEvent`, Sample code and further information

Method Summary
`void` `lineGetBackground(LineBackgroundEvent event)` This method is called when a line is about to be drawn in order to get its background color.

Method Detail

### lineGetBackground

    void lineGetBackground(LineBackgroundEvent event)

  This method is called when a line is about to be drawn in order to get its background color.

  The following event fields are used:

  - event.lineOffset line start offset (input)
  - event.lineText line text (input)
  - event.lineBackground line background color (output)

  Parameters:
    `event` - the given event
  See Also:
    `LineBackgroundEvent`

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.